clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::WorkspaceSymbolParams Struct Reference

The parameters of a Workspace Symbol Request. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::WorkspaceSymbolParams:
[legend]

## Public Attributes
std::string | query
| A non-empty query string. More...

## Detailed Description

The parameters of a Workspace Symbol Request.

Definition at line 758 of file Protocol.h.

## Member Data Documentation

## ◆ query

std::string clang::clangd::WorkspaceSymbolParams::query

A non-empty query string.

Definition at line 760 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h